#include <NovaDAQUtilities/PartitionNumber.h>

#include <limits.h>

namespace novadaq {

/**
 * Returns the single instance of the PartitionNumber.
 *
 * @returns PartitionNumber instance.
 */
PartitionNumber& PartitionNumber::instance() {
    static PartitionNumber singletonInstance;
    return singletonInstance;
}

/**
 * Default constructor (private)
 */
PartitionNumber::PartitionNumber() : _value(INT_MAX)
{
}

};  // end of namespace novadaq
