#ifndef _DBUTILS_DAQCONFIG_DBCOLUMNUTILS_H
#define _DBUTILS_DAQCONFIG_DBCOLUMNUTILS_H

#include <string>

namespace dbutils {
namespace daqconfig {

/**
 * Utilities for handling and testing columns.
 *
 * @author Kurt Biery
 * @version $Revision: 1.1 $ $Date: 2011/08/10 18:40:37 $
 */

class DBColumnUtils {

 public:

    static bool isInfrastructureColumn(const std::string& columnName);
    static bool isSubsystemConfigReferenceColumn(const std::string& columnName);
    static bool isNamedConfigReferenceColumn(const std::string& columnName);

 private:

};

};  // end of namespace daqconfig
};  // end of namespace dbutils

#endif
